Last Comment Bug 229589 - nsBaseHashtable::Init documentation is outdated
: nsBaseHashtable::Init documentation is outdated
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Linux
: P4 normal (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
http://lxr.mozilla.org/seamonkey/sour...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-28 11:58 PST by Christian :Biesinger (don't email me, ping me on IRC)
Modified: 2005-09-27 08:44 PDT (History)
0 users
mtschrep: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove obsolete threadsafety javadocs. (2.37 KB, patch)
2005-09-26 13:09 PDT, Benjamin Smedberg [:bsmedberg]
dougt: review+
mtschrep: approval1.8b5+
Details | Diff | Review

Description Christian :Biesinger (don't email me, ping me on IRC) 2003-12-28 11:58:46 PST
92    * Initialize the object.
 93    * @param initSize the initial number of buckets in the hashtable,
 94    *        default 16
 95    * @param threadSafe whether to provide read/write
 96    * locking on all class methods
 97    * @return    PR_TRUE if the object was initialized properly.
 98    */
 99   PRBool Init(PRUint32 initSize = PL_DHASH_MIN_SIZE)

obviously, there is no threadSafe parameter.
Comment 1 Christian :Biesinger (don't email me, ping me on IRC) 2003-12-28 15:13:23 PST
also, same file, comment above nsBaseHashtable decl:
 72  * destruction. Thread-safety is optional, via a flag in Init()
Comment 2 Benjamin Smedberg [:bsmedberg] 2005-09-26 13:09:56 PDT
Created attachment 197457 [details] [diff] [review]
Remove obsolete threadsafety javadocs.
Comment 3 Doug Turner (:dougt) 2005-09-26 13:18:26 PDT
Comment on attachment 197457 [details] [diff] [review]
Remove obsolete threadsafety javadocs.

lost the period on the last comment change.
Comment 4 Benjamin Smedberg [:bsmedberg] 2005-09-26 13:28:12 PDT
Comment on attachment 197457 [details] [diff] [review]
Remove obsolete threadsafety javadocs.

This is doc-only, so it should be absolutely safe and would be nice to get on
the branch for the 1.8 SDK.
Comment 5 Benjamin Smedberg [:bsmedberg] 2005-09-26 13:30:37 PDT
fixed on trunk
Comment 6 Mike Schroepfer 2005-09-26 14:39:41 PDT
Comment on attachment 197457 [details] [diff] [review]
Remove obsolete threadsafety javadocs.

Approved per 9/26 bug triage meeting.
Comment 7 Benjamin Smedberg [:bsmedberg] 2005-09-27 08:44:45 PDT
Fixed on 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.